import { ProgressBarMode } from '@angular/material/progress-bar';
import { ProgressSpinnerMode } from '@angular/material/progress-spinner';
import { type Maybe } from '@dereekb/util';
import * as i0 from "@angular/core";
export declare const DEFAULT_LOADING_PROGRESS_DIAMETER = 96;
/**
 * Basic loading progress component.
 */
export declare class DbxLoadingProgressComponent {
    readonly defaultDiameter = 96;
    readonly diameter: import("@angular/core").InputSignal<Maybe<number>>;
    readonly text: import("@angular/core").InputSignal<Maybe<string>>;
    readonly linear: import("@angular/core").InputSignal<Maybe<boolean>>;
    readonly mode: import("@angular/core").InputSignal<"determinate" | "indeterminate" | "buffer" | "query">;
    readonly color: import("@angular/core").InputSignal<"primary" | "accent" | "warn" | "notice" | "ok" | "success" | "grey" | "background" | "disabled" | undefined>;
    readonly value: import("@angular/core").InputSignal<Maybe<number>>;
    readonly bufferValue: import("@angular/core").InputSignal<Maybe<number>>;
    readonly bmode: import("@angular/core").Signal<ProgressBarMode>;
    readonly smode: import("@angular/core").Signal<ProgressSpinnerMode>;
    readonly diameterSignal: import("@angular/core").Signal<number>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DbxLoadingProgressComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DbxLoadingProgressComponent, "dbx-loading-progress", never, { "diameter": { "alias": "diameter"; "required": false; "isSignal": true; }; "text": { "alias": "text"; "required": false; "isSignal": true; }; "linear": { "alias": "linear"; "required": false; "isSignal": true; }; "mode": { "alias": "mode"; "required": false; "isSignal": true; }; "color": { "alias": "color"; "required": false; "isSignal": true; }; "value": { "alias": "value"; "required": false; "isSignal": true; }; "bufferValue": { "alias": "bufferValue"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
